Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## codeanticode.glgraphics
Enum GLConstants.MouseHandler

    java.lang.Object
      java.lang.Enum<GLConstants.MouseHandler>
          codeanticode.glgraphics.GLConstants.MouseHandler

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GLConstants.MouseHandler>

Enclosing interface:
  GLConstants

    public static enum GLConstants.MouseHandler

extends java.lang.Enum<GLConstants.MouseHandler>

Enum Constant Summary
`CAMERA`
`FRAME`

Method Summary
`static GLConstants.MouseHandler` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GLConstants.MouseHandler[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CAMERA

    public static final GLConstants.MouseHandler CAMERA

### FRAME

    public static final GLConstants.MouseHandler FRAME

Method Detail

### values

    public static GLConstants.MouseHandler[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GLConstants.MouseHandler c : GLConstants.MouseHandler.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GLConstants.MouseHandler valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

processing library glgraphics by Andres Colubri. (c) 2008